
CREATE PROCEDURE GetEnterpriseConsolidation
(
	@STARTDATE smalldatetime = NULL,
	@ENDDATE smalldatetime= NULL,
	@REPORTTYPE varchar(10)=NULL,
	@REPORTON varchar(10)=NULL
)

AS 


/*********************************************************************
* Procedure: GetEnterpriseConsolidation
**********************************************************************/


SELECT 
	tblCommitmentData.SectionTitle, 
	tblCommitmentData.Title,
	tblCommitmentData.groupnum,
	sum(case tblCommitmentData.unitnum when '011' then tblCommitmentData.acctamount else 0 end) as Unit011,
	sum(case tblCommitmentData.unitnum when '013' then tblCommitmentData.acctamount else 0 end) as Unit013,
	sum(case tblCommitmentData.unitnum when '014' then tblCommitmentData.acctamount else 0 end) as Unit014,
	sum(case tblCommitmentData.unitnum when '015' then tblCommitmentData.acctamount else 0 end) as Unit015,
	sum(case tblCommitmentData.unitnum when '016' then tblCommitmentData.acctamount else 0 end) as Unit016,
	sum(case tblCommitmentData.unitnum when '017' then tblCommitmentData.acctamount else 0 end) as Unit017,
	sum(case tblCommitmentData.unitnum when '018' then tblCommitmentData.acctamount else 0 end) as Unit018,
	sum(case tblCommitmentData.unitnum when '019' then tblCommitmentData.acctamount else 0 end) as Unit019,
	sum(case tblCommitmentData.unitnum when '020' then tblCommitmentData.acctamount else 0 end) as Unit020,
	sum(case tblCommitmentData.unitnum when '022' then tblCommitmentData.acctamount else 0 end) as Unit022,
	sum(case tblCommitmentData.unitnum when '023' then tblCommitmentData.acctamount else 0 end) as Unit023,
	sum(case tblCommitmentData.unitnum when '024' then tblCommitmentData.acctamount else 0 end) as Unit024,
	sum(case tblCommitmentData.unitnum when '042' then tblCommitmentData.acctamount else 0 end) as Unit042,

	sum(case tblCommitmentData.unitnum when '043' then tblCommitmentData.acctamount else 0 end) as Unit043,
	sum(case tblCommitmentData.unitnum when '044' then tblCommitmentData.acctamount else 0 end) as Unit044,
	sum(case tblCommitmentData.unitnum when '045' then tblCommitmentData.acctamount else 0 end) as Unit045,
	sum(case tblCommitmentData.unitnum when '050' then tblCommitmentData.acctamount else 0 end) as Unit050,
	sum(case tblCommitmentData.unitnum when '060' then tblCommitmentData.acctamount else 0 end) as Unit060,
	tblCommitmentData.sectionnum, tblCommitmentData.glcatnum,
	tblGLRawData.GroupOrderID,tblGLRawData.SectionOrderID,tblGLRawData.DetailOrderID,tblGLRawData.CatOrderID

FROM 
	tblCommitmentData

INNER JOIN tblGLRawData
	ON tblCommitmentData.UnitNum=tblGLRawData.UnitNum AND tblCommitmentData.SalesDate=tblGLRawData.SalesDate AND tblCommitmentData.GLCatNum=tblGLRawData.GLCatNum

where tblCommitmentData.salesdate >= @STARTDATE
	AND tblCommitmentData.salesdate <= @ENDDATE

group by tblCommitmentData.groupnum, tblCommitmentData.sectionTitle, tblCommitmentData.Title, tblCommitmentData.sectionnum, tblCommitmentData.glcatnum,tblGLRawData.GroupOrderID,tblGLRawData.SectionOrderID,tblGLRawData.DetailOrderID,tblGLRawData.CatOrderID
order by tblGLRawData.GroupOrderID,tblGLRawData.SectionOrderID,tblGLRawData.DetailOrderID,tblGLRawData.CatOrderID


GO